Subject: bug#20087: closed (Re: bug#20087: gensym)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jun 2016 16:06:02 +0000

Your bug report

#20087: 'gensym' is not guaranteed to return a fresh symbol

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20087: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20087
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20087: gensym
From: Andy Wingo <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: Mark H Weaver <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 23 Jun 2016 18:05:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 23 Jun 2016 16:13, [email-masked] (Ludovic Courtès) writes:

> Andy Wingo <[email-masked]> skribis:
>
>> I just pushed something to master to error when serializing an
>> uninterned symbol.  Otherwise compiling an uninterned symbol effectively
>> interns it!  I am not sure that we can apply such a fix in 2.0 though as
>> who knows, maybe someone is compiling something with symbols made with
>> make-symbol.  WDYT?  If you agree we can close this bug.
>
> That makes sense to me.

Closing then.  Thanks for the review :)

Andy

Subject: 'gensym' is not guaranteed to return a fresh symbol
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Wed, 11 Mar 2015 18:15:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

‘gensym’ returns interned symbols, but the algorithm to determine the
new symbol is simplistic and predictable.

Thus, one can arrange to produce a symbol before ‘gensym’ does, leading
‘gensym’ to return a symbol that’s not fresh (in terms of ‘eq?’), as is
the case with the second call to ‘gensym’ here:

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> (gensym "x")
$1 = x379
scheme@(guile-user)> 'x405
$2 = x405
scheme@(guile-user)> (gensym "x")
$3 = x405
--8<---------------cut here---------------end--------------->8---

Should we worry about it?  I think it may have hard to anticipate
security implications.

Ludo’.